#
# spec file for package patterns-xfce
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_with betatest

Name:           patterns-xfce
Version:        20171113
Release:        lp150.1.3
Summary:        Patterns for Installation (Xfce)
License:        MIT
Group:          Metapackages
Url:            https://github.com/openSUSE/patterns
Source0:        %{name}-rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  patterns-rpm-macros

%description
This is an internal package that is used to create the patterns as part
of the installation source setup.  Installation of this package does
not make sense.

This particular package contains the Xfce patterns.

################################################################################

%package xfce
%pattern_graphicalenvironments
Summary:        XFCE Desktop Environment
Group:          Metapackages
Provides:       pattern() = xfce
Provides:       pattern-icon() = pattern-xfce
Provides:       pattern-order() = 1310
Provides:       pattern-visible()
Requires:       pattern() = x11
Requires:       pattern() = xfce_basis
Recommends:     pattern() = xfce_office
Recommends:     pattern() = multimedia
Recommends:     pattern() = imaging
Provides:       patterns-openSUSE-xfce = %{version}
Obsoletes:      patterns-openSUSE-xfce < %{version}

Recommends:     lightdm
Recommends:     lightdm-gtk-greeter
Recommends:     leafpad
Recommends:     gnome-calculator
Recommends:     ristretto
Recommends:     MozillaThunderbird
Recommends:     orage
Recommends:     file-roller
Recommends:     evince
Recommends:     totem
Recommends:     totem-browser-plugin
Recommends:     seahorse
Recommends:     thunar-plugin-archive
Recommends:     thunar-plugin-media-tags
Recommends:     xfce4-screenshooter
Recommends:     pidgin
Recommends:     sound-juicer
Recommends:     pragha
Recommends:     simple-scan
Recommends:     shotwell
Recommends:     gucharmap
Recommends:     xfce4-dict
Recommends:     xfce4-panel-plugin-notes
Recommends:     remmina
Recommends:     remmina-plugin-xdmcp
Recommends:     remmina-plugin-rdp
Recommends:     remmina-plugin-vnc
Recommends:     transmission-gtk
Recommends:     gnome-games
# Additional applications
# ease debugging
#
Recommends:     gdb
Recommends:     system-config-printer
Recommends:     system-config-printer-applet
# bnc#537362
Recommends:     gnome-packagekit
Recommends:     pk-update-icon
# bnc#537365
Recommends:     gnome-keyring
Recommends:     gnome-keyring-pam
#
# core desktop functionality
#
Recommends:     xfce4-taskmanager
Recommends:     thunar-volman
Recommends:     tumbler
Suggests:       xfce4-dev-tools
Suggests:       xfce4-panel-plugin-battery
Suggests:       xfce4-panel-plugin-cellmodem
Suggests:       xfce4-panel-plugin-clipman
Suggests:       xfce4-panel-plugin-cpufreq
Suggests:       xfce4-panel-plugin-cpugraph
Suggests:       xfce4-panel-plugin-datetime
Suggests:       xfce4-panel-plugin-dict
Suggests:       xfce4-panel-plugin-diskperf
Suggests:       xfce4-panel-plugin-eyes
Suggests:       xfce4-panel-plugin-fsguard
Suggests:       xfce4-panel-plugin-genmon
Suggests:       xfce4-panel-plugin-mailwatch
Suggests:       xfce4-panel-plugin-mount
Suggests:       xfce4-panel-plugin-mpc
Suggests:       xfce4-panel-plugin-netload
Suggests:       xfce4-panel-plugin-notes
Suggests:       xfce4-panel-plugin-places
Suggests:       xfce4-panel-plugin-quicklauncher
Suggests:       xfce4-panel-plugin-radio
Suggests:       xfce4-panel-plugin-screenshooter
Suggests:       xfce4-panel-plugin-sensors
Suggests:       xfce4-panel-plugin-smartbookmark
Suggests:       xfce4-panel-plugin-systemload
Suggests:       xfce4-panel-plugin-timeout
Suggests:       xfce4-panel-plugin-timer
Suggests:       xfce4-panel-plugin-verve
Suggests:       xfce4-panel-plugin-wavelan
Suggests:       xfce4-panel-plugin-weather
Suggests:       xfwm4-themes
Suggests:       xfce4-vala

# from data/COMMON-DESKTOP-OPT
# packages a GTK application
Recommends:     gutenprint
# MAYBE later lsb-graphics
Recommends:     icedtea-web
# give net shares
Recommends:     samba
# needs python-qt4, see#649280#14
Suggests:       hplip

%description xfce
Xfce is a lightweight desktop environment for various *NIX systems.

%files xfce
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/xfce.txt

################################################################################

%package xfce_basis
%pattern_graphicalenvironments
Summary:        XFCE Base System
Group:          Metapackages
Provides:       pattern() = xfce_basis
Provides:       pattern-extends() = xfce
Provides:       pattern-icon() = pattern-xfce
Provides:       pattern-order() = 1300
Requires:       pattern() = basesystem
Requires:       pattern() = x11
Provides:       patterns-openSUSE-xfce_basis = %{version}
Obsoletes:      patterns-openSUSE-xfce_basise < %{version}
# This defines a bare minimum Xfce desktop used, for example, as
# base for the openSUSE Rescue CD
Requires:       thunar
Requires:       thunar-volman
Requires:       xfce4-appfinder
Requires:       xfce4-notifyd
Requires:       xfce4-panel
Requires:       xfce4-power-manager
Requires:       xfce4-session
Requires:       xfce4-settings
Requires:       xfconf
Requires:       xfdesktop
Requires:       xfwm4
Recommends:     pavucontrol
Recommends:     xfce4-panel-plugin-pulseaudio
#
# low level functionality
#
Recommends:     avahi
Recommends:     dbus-1-x11
# bnc#540627
Recommends:     xdg-utils
Recommends:     xdg-user-dirs-gtk
Recommends:     desktop-file-utils
Recommends:     shared-mime-info
Recommends:     NetworkManager
Recommends:     NetworkManager-applet
# without polkit-gnome, NetworkManager-applet is not that useful
# we need a polkit-authentication-agent (bnc#1047500)
Recommends:     polkit-gnome
# use gnomesu as su wrapper
Recommends:     libgnomesu
# bnc#440285
Recommends:     pinentry-gtk2
# For screenlocking to work in xfce
Recommends:     xscreensaver
Recommends:     xfce4-notifyd
Recommends:     xfce4-terminal
Recommends:     libxfce4ui-tools
Recommends:     xfce4-panel-plugin-xkb
#
# core desktop functionality
#
Recommends:     libyui-qt-pkg
Recommends:     yast2-control-center-qt
#
# branding
#
Suggests:       exo-branding-openSUSE
Suggests:       gconf2-branding-openSUSE
Suggests:       libgarcon-branding-openSUSE
Suggests:       libxfce4ui-branding-openSUSE
Suggests:       lightdm-gtk-greeter-branding-openSUSE
Suggests:       midori-branding-openSUSE
Suggests:       thunar-volman-branding-openSUSE
Suggests:       wallpaper-branding-openSUSE
Suggests:       xfce4-notifyd-branding-openSUSE
Suggests:       xfce4-panel-branding-openSUSE
Suggests:       xfce4-session-branding-openSUSE
Suggests:       xfce4-settings-branding-openSUSE
Suggests:       xfce4-splash-branding-openSUSE
Suggests:       xfdesktop-branding-openSUSE
Suggests:       xfwm4-branding-openSUSE
Suggests:       desktop-branding

Recommends:     google-droid-fonts
Recommends:     MozillaFirefox
Recommends:     desktop-data-openSUSE
Recommends:     avahi
# bnc#508120
Recommends:     xdg-user-dirs
# bnc#598884
Suggests:       moonlight-plugin
# metalink downloader
Suggests:       aria2

%description xfce_basis
Base packages for the XFCE Desktop Environment

%files xfce_basis
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/xfce_basis.txt

################################################################################

%package xfce_laptop
%pattern_xfcedesktop
Summary:        XFCE Laptop
Group:          Metapackages
Provides:       pattern() = xfce_laptop
Provides:       pattern-extends() = laptop
Provides:       pattern-icon() = pattern-generic
Provides:       pattern-order() = 5180
Supplements:    packageand(patterns-xfce-xfce:patterns-desktop-laptop)
Requires:       pattern() = xfce
Requires:       pattern() = xfce_basis
Provides:       patterns-openSUSE-xfce_laptop = %{version}
Obsoletes:      patterns-openSUSE-xfce_laptop < %{version}

%description xfce_laptop
XFCE Laptop

%files xfce_laptop
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/xfce_laptop.txt

################################################################################

%package xfce_office
%pattern_graphicalenvironments
Summary:        XFCE Office
Group:          Metapackages
Provides:       pattern() = xfce_office
Provides:       pattern-extends() = office
Provides:       pattern-icon() = yast-x11
Provides:       pattern-order() = 2241
Supplements:    packageand(patterns-xfce-xfce:patterns-office-office)
Requires:       pattern() = xfce
Requires:       pattern() = xfce_basis
Provides:       patterns-openSUSE-xfce_office = %{version}
Obsoletes:      patterns-openSUSE-xfce_office < %{version}

%ifarch %ix86 x86_64
Recommends:     libreoffice-gnome
%endif

%description xfce_office
XFCE Office

%files xfce_office
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/xfce_office.txt

################################################################################

%prep

%build

%install
mkdir -p %{buildroot}/%{_defaultdocdir}/patterns
for i in xfce xfce_basis xfce_laptop xfce_office; do
	echo "This file marks the pattern $i to be installed." \
		>"%{buildroot}/%{_defaultdocdir}/patterns/$i.txt"
done

%changelog
* Mon Nov 13 2017 seife+obs@b1-systems.com
- recommend polkit-gnome (bnc#1047500)
* Wed Oct 11 2017 seife+obs@b1-systems.com
- use pulseaudio plugin instead of plain mixer plugin
* Thu Jun  1 2017 dimstar@opensuse.org
- Mark xfce_basis pattern is invisible: it's a base pattern
  referenced by others, but rather useless for the user.
* Mon Apr 10 2017 jengelh@inai.de
- Use macros over old $RPM shell vars.
  Change to a sh loop for creating minimally different text files.
* Thu Mar 16 2017 sflees@suse.de
- Create new package from old unified patterns package
